<div class="row">
  <div class="col-sm-2"></div>
  <div class="col-sm-8">
    <h2><b>HTTP Request</b></h2>
    <hr>
  </div>
  <div class="col-sm-2"></div>
</div>

<div class="row">
  <div class="col-sm-2"></div>
  <div class="col-sm-8">
    <form class="form-horizontal">
      <div class="form-group">
        <label class="control-label col-md-2" for="email">POST Request:</label>
        <div class="col-md-6">
          <input type="text" class="form-control" id="username" placeholder="username" #username>
          <br/>
          <input type="text" class="form-control" id="email" placeholder="email" #email>
          <br/>
          <button class="btn btn-primary" (click)="onTestPost(username.value, email.value)">Save</button>
        </div>
      </div>

      <div class="form-group">
        <label class="control-label col-md-2" for="list">List:</label>
        <div class="col-md-6">
          <button type="button" class="btn btn-info" (click)="onTestGetData()">Get data</button>
        </div>
      </div>
      <br>
      <div class="form-group">
        <div class="col-md-10">
          <table class="table">
            <thead>
              <tr>
                <th>Item name</th>
                <th>Image</th>
                <th>Amount</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td >
                  <h6 *ngFor="let item of items">{{item.name}}</h6>
                </td>
                <td>
                  <h6 *ngFor="let item of items">{{item.image}}</h6>
                </td>
                 <td>
                 <h6 *ngFor="let item of items">{{item.amount}}</h6>
                </td>
                 <td>
                 <h6 *ngFor="let item of items">{{item.description}}</h6>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <hr>
      <div class="form-group">
        <label class="control-label col-md-2" for="image">GET Request:</label>
        <div class="col-md-6">
          <button class="btn btn-success" (click)="onTestGet()">Load</button>
        </div>
      </div>
    </form>
  </div>
  <div class="col-sm-2"></div>